# HG changeset patch
# Node ID b880400dbf55
# Parent  5d0707ab10a2
diff --git a/xeme/xemeconnection.c b/xeme/xemeconnection.c
--- a/xeme/xemeconnection.c
+++ b/xeme/xemeconnection.c
@@ -328,8 +328,7 @@ xeme_connection_class_init(XemeConnectio
 	 * Since: 0.1
 	 */
 	properties[PROP_JID] = g_param_spec_string(
-		"jid", "jid",
-		"The jabber id of the originator of this connection.",
+		"jid", NULL, NULL,
 		NULL,
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
@@ -351,8 +350,7 @@ xeme_connection_class_init(XemeConnectio
 	 * Since: 0.1
 	 */
 	properties[PROP_RESOURCE] = g_param_spec_string(
-		"resource", "resource",
-		"The resource for the originator of this connection.",
+		"resource", NULL, NULL,
 		NULL,
 		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
@@ -367,8 +365,7 @@ xeme_connection_class_init(XemeConnectio
 	 * Since: 0.1
 	 */
 	properties[PROP_SERVER] = g_param_spec_string(
-		"server", "server",
-		"An explicit server to connect to.",
+		"server", NULL, NULL,
 		NULL,
 		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
@@ -382,8 +379,7 @@ xeme_connection_class_init(XemeConnectio
 	 * Since: 0.1
 	 */
 	properties[PROP_PORT] = g_param_spec_uint(
-		"port", "port",
-		"An explicit port to use.",
+		"port", NULL, NULL,
 		0, G_MAXUINT16, XEME_PORT_TLS,
 		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
@@ -398,8 +394,7 @@ xeme_connection_class_init(XemeConnectio
 	 * Since: 0.1
 	 */
 	properties[PROP_TLS_MODE] = g_param_spec_enum(
-		"tls-mode", "tls-mode",
-		"The mode of TLS to use for this connection.",
+		"tls-mode", NULL, NULL,
 		XEME_TYPE_TLS_MODE,
 		XEME_TLS_MODE_DIRECT_TLS,
 		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
diff --git a/xeme/xemeextension.c b/xeme/xemeextension.c
--- a/xeme/xemeextension.c
+++ b/xeme/xemeextension.c
@@ -139,8 +139,7 @@ xeme_extension_class_init(XemeExtensionC
 	 * Since: 0.1
 	 */
 	properties[PROP_ELEMENT] = g_param_spec_string(
-		"element", "element",
-		"The name of the element that's being extended.",
+		"element", NULL, NULL,
 		NULL,
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
@@ -152,8 +151,7 @@ xeme_extension_class_init(XemeExtensionC
 	 * Since: 0.1
 	 */
 	properties[PROP_NAMESPACE] = g_param_spec_string(
-		"namespace", "namespace",
-		"The namespace of the extension.",
+		"namespace", NULL, NULL,
 		NULL,
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
diff --git a/xeme/xemeinputstream.c b/xeme/xemeinputstream.c
--- a/xeme/xemeinputstream.c
+++ b/xeme/xemeinputstream.c
@@ -283,8 +283,7 @@ xeme_input_stream_class_init(XemeInputSt
 	 * Since: 0.1
 	 */
 	properties[PROP_OUTPUT_STREAM] = g_param_spec_object(
-		"output-stream", "output-stream",
-		"The output stream to use for requests/responses.",
+		"output-stream", NULL, NULL,
 		XEME_TYPE_OUTPUT_STREAM,
 		G_PARAM_READABLE | G_PARAM_STATIC_STRINGS);
 
diff --git a/xeme/xememessage.c b/xeme/xememessage.c
--- a/xeme/xememessage.c
+++ b/xeme/xememessage.c
@@ -242,8 +242,7 @@ xeme_message_class_init(XemeMessageClass
 	 * Since: 0.1
 	 */
 	properties[PROP_THREAD] = g_param_spec_string(
-		"thread", "thread",
-		"The thread's id for this message.",
+		"thread", NULL, NULL,
 		NULL,
 		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
@@ -255,8 +254,7 @@ xeme_message_class_init(XemeMessageClass
 	 * Since: 0.1
 	 */
 	properties[PROP_THREAD_PARENT] = g_param_spec_string(
-		"thread-parent", "thread-parent",
-		"The thread parent's id for this message.",
+		"thread-parent", NULL, NULL,
 		NULL,
 		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
diff --git a/xeme/xemestanza.c b/xeme/xemestanza.c
--- a/xeme/xemestanza.c
+++ b/xeme/xemestanza.c
@@ -132,8 +132,7 @@ xeme_stanza_class_init(XemeStanzaClass *
 	 * Since: 0.1
 	 */
 	properties[PROP_CONTENT_TYPE] = g_param_spec_string(
-		"content-type", "content-type",
-		"The content type of this stanza.",
+		"content-type", NULL, NULL,
 		NULL,
 		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
@@ -145,8 +144,7 @@ xeme_stanza_class_init(XemeStanzaClass *
 	 * Since: 0.1
 	 */
 	properties[PROP_FROM] = g_param_spec_string(
-		"from", "from",
-		"The sender of this stanza.",
+		"from", NULL, NULL,
 		NULL,
 		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
@@ -158,8 +156,7 @@ xeme_stanza_class_init(XemeStanzaClass *
 	 * Since: 0.1
 	 */
 	properties[PROP_ID] = g_param_spec_string(
-		"id", "id",
-		"The identifier of this stanza.",
+		"id", NULL, NULL,
 		NULL,
 		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
@@ -171,8 +168,7 @@ xeme_stanza_class_init(XemeStanzaClass *
 	 * Since: 0.1
 	 */
 	properties[PROP_TO] = g_param_spec_string(
-		"to", "to",
-		"The recipient of this stanza.",
+		"to", NULL, NULL,
 		NULL,
 		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
@@ -184,8 +180,7 @@ xeme_stanza_class_init(XemeStanzaClass *
 	 * Since: 0.1
 	 */
 	properties[PROP_XML_LANG] = g_param_spec_string(
-		"xml-lang", "xml-lang",
-		"The XML Lang of this stanza.",
+		"xml-lang", NULL, NULL,
 		NULL,
 		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
diff --git a/xeme/xemestream.c b/xeme/xemestream.c
--- a/xeme/xemestream.c
+++ b/xeme/xemestream.c
@@ -164,21 +164,19 @@ xeme_stream_class_init(XemeStreamClass *
 	 * Since: 0.1
 	 */
 	properties[PROP_CANCELLABLE] = g_param_spec_object(
-		"cancellable", "cancellable",
-		"The cancellable for this stream.",
+		"cancellable", NULL, NULL,
 		G_TYPE_CANCELLABLE,
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
 	/**
 	 * XemeStream:id:
 	 *
-	 * The initiator of the stream.
+	 * The identifier of the stream.
 	 *
 	 * Since: 0.1
 	 */
 	properties[PROP_ID] = g_param_spec_string(
-		"id", "id",
-		"The id for the stream.",
+		"id", NULL, NULL,
 		NULL,
 		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
@@ -190,8 +188,7 @@ xeme_stream_class_init(XemeStreamClass *
 	 * Since: 0.1
 	 */
 	properties[PROP_TO] = g_param_spec_string(
-		"to", "to",
-		"The bare jid of the remote side of this stream.",
+		"to", NULL, NULL,
 		NULL,
 		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
@@ -203,8 +200,7 @@ xeme_stream_class_init(XemeStreamClass *
 	 * Since: 0.1
 	 */
 	properties[PROP_FROM] = g_param_spec_string(
-		"from", "from",
-		"The bare jid of the local side of this stream.",
+		"from", NULL, NULL,
 		NULL,
 		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
@@ -216,8 +212,7 @@ xeme_stream_class_init(XemeStreamClass *
 	 * Since: 0.1
 	 */
 	properties[PROP_LANGUAGE] = g_param_spec_string(
-		"language", "language",
-		"The language for the stream.",
+		"language", NULL, NULL,
 		NULL,
 		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
@@ -229,8 +224,7 @@ xeme_stream_class_init(XemeStreamClass *
 	 * Since: 0.1
 	 */
 	properties[PROP_VERSION] = g_param_spec_string(
-		"version", "version",
-		"The XMPP version for this stream.",
+		"version", NULL, NULL,
 		XEME_STREAM_VERSION,
 		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
